Skip to main content
GET
/
smart-contracts
List verified smart contracts with optional filtering options
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/smart-contracts/?apikey='
{
  "items": [
    {
      "constructor_args": "<string>",
      "package_name": "<string>",
      "is_partially_verified": true,
      "is_changed_bytecode": true,
      "abi": [
        {}
      ],
      "conflicting_implementations": [
        {}
      ],
      "certified": true,
      "additional_sources": [
        {
          "file_path": "<string>",
          "source_code": "<string>"
        }
      ],
      "is_verified_via_sourcify": true,
      "can_be_visualized_via_sol2uml": true,
      "evm_version": "<string>",
      "language": "<string>",
      "address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "is_verified_via_eth_bytecode_db": true,
      "coin_balance": "<string>",
      "is_fully_verified": true,
      "license_type": "<string>",
      "is_blueprint": true,
      "name": "<string>",
      "creation_bytecode": "<string>",
      "external_libraries": [
        {
          "address_hash": "<string>",
          "name": "<string>"
        }
      ],
      "market_cap": "<string>",
      "proxy_type": "<string>",
      "implementations": [
        {
          "address_hash": "<string>",
          "name": "<string>"
        }
      ],
      "verified_at": "2023-11-07T05:31:56Z",
      "is_verified_via_verifier_alliance": true,
      "compiler_version": "<string>",
      "decoded_constructor_args": [
        [
          {}
        ]
      ],
      "sourcify_repo_url": "<string>",
      "optimization_runs": 123,
      "compiler_settings": {},
      "verification_metadata": {},
      "github_repository_metadata": {},
      "is_verified": true,
      "reputation": "<string>",
      "verified_twin_address_hash": "<string>",
      "optimization_enabled": true,
      "deployed_bytecode": "<string>",
      "source_code": "<string>",
      "transactions_count": 123,
      "creation_status": "<string>",
      "file_path": "<string>",
      "has_constructor_args": true
    }
  ],
  "next_page_params": {
    "items_count": 50,
    "smart_contract_id": 1947801
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

sort
enum<string>

Sort transactions by:

  • block_number - Sort by block number
  • value - Sort by transaction value
  • fee - Sort by transaction fee
  • balance - Sort by account balance
  • transactions_count - Sort by number of transactions on address
  • fiat_value - Sort by fiat value of the token transfer
  • holders_count - Sort by number of token holders
  • circulating_market_cap - Sort by circulating market cap of the token Should be used together with order parameter.
Available options:
balance,
transactions_count
order
enum<string>

Sort order:

  • asc - Ascending order
  • desc - Descending order Should be used together with sort parameter.
Available options:
asc,
desc
q
string | null

Search query filter

filter
enum<string>

Filter to apply

Available options:
solidity,
vyper,
yul,
geas,
stylus_rust
smart_contract_id
integer

Smart-contract ID for paging

coin_balance

Coin balance for paging

hash
string

Address hash for paging

Pattern: ^0x([A-Fa-f0-9]{40})$
transactions_count

Transactions count for paging

items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

List of verified smart contracts matching the filter criteria, with pagination.

items
SmartContract · object[]
required
next_page_params
object
required
Example:
{
"items_count": 50,
"smart_contract_id": 1947801
}